Subject: Re: Walk-in | Interview Call for Shortlisted Profile - Customer service Arabic Language
From: Mohd Ziya Quadri <[email-masked]>
To: [email-masked]
Date: Fri, 20 Mar 2020 07:32:01 +0530

Not able to view Details? Learn More

Job Title
Walk-in | Interview Call for Shortlisted Profile - Customer service Arabic Language

3 Applicants

View All

Mohd Ziya Quadri
I have been working in EXL service. Com since September 11,2017 in EXL Service.com for Fursan Riyadh based Tour and Travel company as an Arabic language Expert. Key responsibility here is to translate and validate the Arabic documents into English and vice versa like this Generate & prepare the report and generate the invoice as per client requirement Monthly, fortnightly , weekly and daily wise. Client interaction through Skype , Email and Phone to solve the client quiry. Verify the Travel Order and make the excel for daily basis report. I completed B.A (H) and M.A in Arabic language from Jamia Millia Islamia, New Delhi. looking for a job in a reputed company where I will get the handsome salary and job security both.

Shortlist

Reject

Current Designation Senior Executive
Current Company Exlservice.Com
Notice Period 1 Months
Previous Designation Senior Executive
Previous Company Mohd Ziya Quadri

Contact Details
Mobile:

Exp
2 Yrs 6 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Anywhere in South India, Delhi / NCR, Mumbai
Education
M.A
Jamia Milia Islamia (JMI)
B.A
Jamia Milia Islamia (JMI)
Key Skills
translate the arabic related documents into english and vise versa and solve the arabic related problems for team support, Generate the invoice and directly interactiion with client & good command on Excel

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem